import { OnInit } from '@angular/core';
import { IconDefinition } from '@fortawesome/fontawesome-svg-core';
import * as i0 from "@angular/core";
/**
 * A button for switching themes, currently only switches between 2 themes
 * 'light' and 'dark'. For this component to work you must either use existing
 * themes or define your own (including palettes) in the styles for your
 * app AND call the theme mixin provided with this component for both
 * 'light' and 'dark' themes. This button is automatically included in the
 * header component (with optional configuration to hide it), but provided
 * separately so it can be placed anywhere else in your app.
 *
 * @usageNotes
 * #### Basic Usage Example
 * ```html
 * <!-- just include this in any template you want to use the switcher -->
 * <ngx-mat-theme-switcher></ngx-mat-theme-switcher>
 * ```
 * ```scss
 * // add the following to your application styles, wherever you define your
 * // themes
 * @import '~@angular/material/theming';
 * @import '@ngx-material-dashboard/widgets/theme-switcher';
 *
 * // these are just custom palettes with primary, accent, etc., but you
 * // could use pre-defined ones
 * @import "light-theme";
 * @import "dark-theme";
 *
 * // call the theme mixin provided by component with 'light' and 'dark' themes
 * @include theme($light-theme, 'light');
 * @include theme($dark-theme, 'dark');
 * ```
 */
export declare class ThemeSwitcherComponent implements OnInit {
    private document;
    faMinus: IconDefinition;
    faFillDrip: IconDefinition;
    theme: string;
    nextTheme: string;
    constructor(document: Document);
    ngOnInit(): void;
    setTheme(theme: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThemeSwitcherComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThemeSwitcherComponent, "ngx-mat-theme-switcher", never, {}, {}, never, never>;
}
